repo/gentoo:master commit in: kde-plasma/plasma-thunderbolt/
"Andreas Sturmlechner" <[email protected]> Tue, 04 Aug 2026 20:51:27 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785876623.9b301247ff321b7a7b89112ce550c16cfea84bfa.asturm@gentoo> |
commit: 9b301247ff321b7a7b89112ce550c16cfea84bfa
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 4 16:17:40 2026 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug 4 20:50:23 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b301247
kde-plasma/plasma-thunderbolt: 6.7.4 version bump
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-thunderbolt/Manifest | 1 +
.../plasma-thunderbolt-6.7.4.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/kde-plasma/plasma-thunderbolt/Manifest b/kde-plasma/plasma-thunderbolt/Manifest
index 0920192ad8eb..6c17ac739b8c 100644
--- a/kde-plasma/plasma-thunderbolt/Manifest
+++ b/kde-plasma/plasma-thunderbolt/Manifest
@@ -1,2 +1,3 @@
DIST plasma-thunderbolt-6.6.6.tar.xz 84452 BLAKE2B ebcf0a5fa855c823ee36bf2d1cf471e1ead96adc1798bb9dab74ba3216b931212e75f14e2cd22bd7b95dd8cdd2f32ff77d1d66e70d5180217a20b4ee3beccec9 SHA512 07787457280ce768fe15222187cf931c99a0b380f9fa2ff889913781f85ec94d99cb7ef5e02c48395f18693d0a54c7792ce89dcbe486d02d2823a63714cbdccd
DIST plasma-thunderbolt-6.7.3.tar.xz 84436 BLAKE2B 0bf8417a50ed996c924430339db4d11042bdad343edd5fbb517fc88749ee99e730ce9f648fceaed5dc32d06208f39d19ebcb2432b20575967ab08ec1956b0394 SHA512 b1b51fdb1e6edb8c7a226466d5c82e4ad2108770bdadab1fc09bb7860b03de83c8656a23c8a3ef4a677fdd84a9a3a60101db254cb0d29df5d05ecd8cf7d15c21
+DIST plasma-thunderbolt-6.7.4.tar.xz 84452 BLAKE2B bb9e0688f9485edd4b5377857c57820bb204449edc2603cd3f25df9062412c0e80388ffd69e75ba1572dcc563628225320a69820ed8cab047aa5057a82f18efc SHA512 68edcc67b461c8a5a9c3b0400c9ea85213ef6c0343e074e9972b85cf5599d18f297d0f6314f75961dffdd886dce1957f1111c0777fa0da53ef5cca8f5e05467d
diff --git a/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-6.7.4.ebuild b/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-6.7.4.ebuild
new file mode 100644
index 000000000000..333df5b00c2d
--- /dev/null
+++ b/kde-plasma/plasma-thunderbolt/plasma-thunderbolt-6.7.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KFMIN=6.26.0
+QTMIN=6.10.1
+inherit ecm plasma.kde.org xdg
+
+DESCRIPTION="Plasma integration for controlling Thunderbolt devices"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-thunderbolt"
+
+LICENSE="|| ( GPL-2 GPL-3+ )"
+SLOT="6"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE=""
+
+# tests require DBus
+RESTRICT="test"
+
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gui]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=kde-frameworks/kcmutils-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/kdbusaddons-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/knotifications-${KFMIN}:6
+ >=kde-frameworks/kservice-${KFMIN}:6
+"
+RDEPEND="${DEPEND}
+ >=kde-frameworks/kirigami-${KFMIN}:6
+ sys-apps/bolt
+"
+BDEPEND=">=kde-frameworks/kcmutils-${KFMIN}:6"